sfcode An Online Competing and Development Environment

yn

> Parse yes/no like values

Useful for validating answers of a CLI prompt.

The following case-insensitive values are recognized:

'y', 'yes', 'true', true, '1', 1, 'n', 'no', 'false', false, '0', 0

Enable lenient mode to gracefully handle typos.

# Install

$ npm install yn

# Usage

const yn = require('yn');
yn('y');
//=> true
yn('NO');
//=> false
yn(true);
//=> true
yn('abomasum');
//=> null
yn('abomasum', {default: false});
//=> false
yn('mo', {lenient: true});
//=> false

Unrecognized values return `null`.

# API

## yn(input, [options])

### input

Type: `any`

Value that should be converted.

### options

Type: `Object`

#### lenient

Type: `boolean`
Default: `false`

Use a key distance-based score to leniently accept typos of `yes` and `no`.

#### default

Type: `boolean`
Default: `null`

Default value if no match was found.

# License

MIT © Sindre Sorhus